Subject: Re: [PATCH] Allow git-runstatus to limit its scope to a set of files/directories.

From: Michel Marti <[email-masked]>
Date: Sat, 27 Oct 2007 20:44:57 +0200

Johannes Schindelin wrote:
> On Sat, 27 Oct 2007, Michel Marti wrote:
> 
>> Signed-off-by: Michel Marti <[email-masked]>
>> ---
>> IMO, the next step should be to tweak git-status/git-commit: I suggest 
>> introducing a new option '--what-if' to 'git-commit' that behaves like current
>> 'git-status [<path>...]' and in return stop 'git-status' from displaying 
>> '[<path>...]'  as "Changes to commit".
> 
> I am not sure this is the correct way to go, since "git status" as a "git 
> commit --dry-run" has worked well so far.
Maybe, but current git-status behaviour is somewhat illogical and I'm 
pretty sure there are more than a few git-users that were puzzled after 
calling "git-status some-dir" for the first time.

> Besides, I would like to see builtin-commit go in as soon as possible, and 
> this patch would delay that.
Hmmm, why is that? The patch only touches git-runstatus, invoking 
"git-status <path>" will behave as usual.

- Michel